## org.apache.lucene.queryParser.standard.builders
Class GroupQueryNodeBuilder

    java.lang.Object
      org.apache.lucene.queryParser.standard.builders.GroupQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class GroupQueryNodeBuilder

extends Object
implements StandardQueryBuilder

Builds no object, it only returns the `Query` object set on the `GroupQueryNode` object using a `QueryTreeBuilder.QUERY_TREE_BUILDER_TAGID` tag.

Constructor Summary
`GroupQueryNodeBuilder()`

Method Summary
`Query` `build(QueryNode queryNode)` Builds some kind of object from a query tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupQueryNodeBuilder

    public GroupQueryNodeBuilder()

Method Detail

### build

    public Query build(QueryNode queryNode)
                throws QueryNodeException

  Description copied from interface: `QueryBuilder`
  Builds some kind of object from a query tree.

  Specified by:
    `build` in interface `QueryBuilder`
  Specified by:
    `build` in interface `StandardQueryBuilder`
  Parameters:
    `queryNode` - the query tree root node
  Returns:
    some object generated from the query tree
  Throws:
    `QueryNodeException`